// Sample JDBC Application for Zen


import java.sql.*;

public class JDBCSample  {
   
 
    public static void main(String[] args) 
    {
     
        System.out.println("\n\nHello World JDBC Example for Actian Zen\n");     
        System.out.print("This application uses the Pervasive PSQL JDBC Driver");
        System.out.println(" to connect to the sample DEMODATA db and display the Course table.\n");     

        try{

           Class.forName("com.pervasive.jdbc.v2.Driver");

           Connection con = DriverManager.getConnection("jdbc:pervasive://localhost:1583/demodata"); 
           String exesql ="select * from Course where  Name >= 'THE 101' ";

           PreparedStatement stmt = con.prepareStatement(exesql); 
           ResultSet rs = stmt.executeQuery(); 
           do{
                     String cname    = rs.getString("Name");
                     String cdesc    = rs.getString("Description");
                     String credits  = rs.getString("Credit_Hours");
                     String deptname = rs.getString("Dept_Name");
                     System.out.println(cname+" "+credits+" "+deptname+"\t"+cdesc);     
                   }while(rs.next()) ;
          rs.close();

          stmt.close();

          con.close();

          }
       catch(Exception e){

          e.printStackTrace();

          }     

     // No more rows 

     System.out.println("Ending sample...");

     }

}
